package com.nasc.custom.domain;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 前置问题表
 * @return:
 */
public class NascPreQuestion {

    /** 前置问题主键ID */
    private Long id;

    /** 所属事项ID */
    private Long matterId;

    /** 问题描述信息 */
    private String desc;

    /** 排序号，数字越大排序越靠前 */
    private Long sortNum;

    /** 审查事项前置问题选项信息 */
    private List<NascPreQuestionOption> preQuestionOptionList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    @NotBlank(message = "问题描述信息不能为空")
    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Long getSortNum() {
        return sortNum;
    }

    public void setSortNum(Long sortNum) {
        this.sortNum = sortNum;
    }

    public List<NascPreQuestionOption> getPreQuestionOptionList() {
        return preQuestionOptionList;
    }

    public void setPreQuestionOptionList(List<NascPreQuestionOption> preQuestionOptionList) {
        this.preQuestionOptionList = preQuestionOptionList;
    }
}
